Create a port
curl --request POST \
--url https://app.miget.com/api/v1/apps/{uuid}/ports \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"internal_port": 123,
"public": false
}
'import requests
url = "https://app.miget.com/api/v1/apps/{uuid}/ports"
payload = {
"internal_port": 123,
"public": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({internal_port: 123, public: false})
};
fetch('https://app.miget.com/api/v1/apps/{uuid}/ports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"internal_port": 123,
"external_port": 123,
"protocol": "<string>",
"auto_detected": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"public": true,
"public_endpoint": "<string>",
"endpoint_id": 123,
"endpoint_hostname": "<string>",
"endpoint_ipv4_primary": "<string>",
"endpoint_ipv4_secondary": "<string>",
"endpoint_ipv6_primary": "<string>",
"endpoint_ipv6_secondary": "<string>"
}App Ports
Create a port
Adds a new port to the application. Set public: true to expose the port publicly (not available on free plans).
POST
/
api
/
v1
/
apps
/
{uuid}
/
ports
Create a port
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
Application UUID
Body
application/json
Response
Create a port
Api_V1_Entities_Port model
Port ID
Internal port number
External port number (null for private ports)
Protocol (tcp or udp)
Whether the port was auto-detected
Creation timestamp
Last update timestamp
Whether the port is publicly exposed
Public endpoint (hostname:port) for public ports
Endpoint ID
Endpoint hostname
Primary IPv4 address
Secondary IPv4 address
Primary IPv6 address
Secondary IPv6 address

